import service from '@/utils/axios';
import { baseURL2 } from '../../constant';

/**
 * 验证报告生成 方案
 * @param data
 * @returns {Promise<axios.AxiosResponse<any>>}
 */
export const generateScheme = (data) => {
  return service.request({
    method: 'POST',
    url: '/GenerateReport/Generate_scheme',
    data,
    baseURL: baseURL2,
  });
};

/**
 * 验证报告生成 报告
 * @param data
 * @returns {Promise<axios.AxiosResponse<any>>}
 */
export const generateReport = (data) => {
  return service.request({
    method: 'POST',
    url: '/GenerateReport/Generate_report',
    data,
    baseURL: baseURL2,
  });
};
/**
 * 验证报告数据自检
 * @param data
 * @returns {Promise<axios.AxiosResponse<any>>}
 */
export const generateReportinspect = (data) => {
  return service.request({
    method: 'POST',
    url: '/GenerateReport/Generate_inspect',
    data,
    baseURL: baseURL2,
  });
};
/**
 * 验证报告生成 获取报告
 * @param data
 * @returns {Promise<axios.AxiosResponse<any>>}
 */
export const generateKey = (data) => {
  return service.request({
    method: 'POST',
    url: '/GenerateReport/Generate_key',
    data,
    timeout: 5000, // 设置超时为 5000 毫秒（即 5 秒）
    baseURL: baseURL2,
  });
};
