
import service from '@/utils/axios';

import { baseURL1 } from '@/constant';
/**
 * @author yxm 
 * @description  导出文件流
 * @param { String } content 文件流
 * @param { String } paraName 文件名+后缀名
*/


// 模板下载
export const getDeviceClassDownload = (params) => service.post(baseURL1+'/DeviceClassList/Template_Download', params, { responseType: "blob", })

/**
 * 
 * @param res 文件流
 * @param name 下载的文件名
 * @param format 下载的文件格式  xlsx
 */
export function downloadExcelFun(res) {
  console.log('下载', res)

  // const fileName = decodeURIComponent(res.headers["content-disposition"])
  let blob = new Blob([res.data], { type: 'application/x-rar-compressed' });

  let url = window.URL.createObjectURL(blob); // 创建 url 并指向 blob
  let a = document.createElement("a");
  a.href = url;
  a.download = '添加设备列表模板.xlsx';//文件名称
  a.click();
  window.URL.revokeObjectURL(url); // 释放该 url
}